Subject: Re: SMP kernels on single processor machines

From: Lee Braiden <[email-masked]>
Date: Fri, 21 May 2004 13:30:27 +0100

Benjamin Herrenschmidt wrote:

> Yah, well... CONFIG_PREEMPT gives you all the problems of SMP without
> any benefit so .... :)

Well, I know people argue about that, but I think it was you who advised
me to avoid PREEMPT before, so I'll take your word for it.

But... what you said above was exactly my point.  There are no benefits
for single-cpu machines running an SMP kernel, right?  So it would
introduce more complexity for no gain.  Moreover, I think(?) the
majority of ppc machines are non-smp, so it would also be a shift to a
more obscure and (even) less well-tested config.

--
Lee Braiden
[email-masked]

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/